org.apache.lucene.util

## Annotation Type LuceneTestCase.SuppressFileSystems

    @Documented
     @Inherited
     @Retention(value=RUNTIME)
     @Target(value=TYPE)
    public static @interface LuceneTestCase.SuppressFileSystems

Annotation for test classes that should avoid mock filesystem types (because they test a bug that only happens on linux, for example).

You can avoid specific names `Class.getSimpleName()` or use the special value `*` to disable all mock filesystems.

### Required Element Summary

Required Elements
`String[]` `value`

### Element Detail

#### value

    public abstract String[] value